1 - Create Cdn Service

1.1 - 1.0

post /v1/cdns

Description

create cdn service

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CdnServiceCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCdnServiceResponseResult
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/cdns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Request body

{
    "cache_expiry_time": "",
    "cache_key_hostname": "REQUEST_HOST_HEADER",
    "caching_option": "",
    "cdn_origin_hostname": "test.example.com",
    "cdn_origin_port": "",
    "cdn_origin_protocol": "",
    "cdn_service_domain_prefix": "global1",
    "cdn_service_origin_path": "/test/global/",
    "content_policy": "",
    "custom_forward_host_header": "",
    "description": "",
    "forward_host_header": "REQUEST_HOST_HEADER",
    "name": "test1",
    "origin_hostname_type": "DOMAIN",
    "query_string_ignored": "",
    "range_request_allowed": "",
    "request_custom_headers": "",
    "response_custom_headers": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "cdn": {
        "account_id": "",
        "resource_id": "",
        "workflow_id": ""
    }
}

2 - Delete Cdn Service

2.1 - 1.0

delete /v1/cdns/{id}

Description

delete cdn service

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
cdn service id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedCdnServiceResponseResult
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/cdns/{id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Example HTTP response

Response 202

{
    "cdn": {
        "account_id": "",
        "resource_id": "",
        "workflow_id": ""
    }
}

3 - Detail Cdn Service

3.1 - 1.0

get /v1/cdns/{id}

Description

detail cdn service

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
cdn service id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCdnServiceDetailResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/cdns/{id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Example HTTP response

Response 200

{
    "cdn": {
        "account_id": "",
        "cache_expiry_time": "",
        "cache_key_hostname": "",
        "caching_option": "",
        "cdn_origin_hostname": "",
        "cdn_origin_port": "",
        "cdn_origin_protocol": "",
        "cdn_service_activation_state": "",
        "cdn_service_config_version": "",
        "cdn_service_domain": "",
        "cdn_service_origin_path": "",
        "cdn_service_state": "",
        "content_policy": "",
        "created_at": "",
        "created_by": "",
        "custom_forward_host_header": "",
        "description": "",
        "forward_host_header": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "origin_hostname_type": "",
        "query_string_ignored": "",
        "range_request_allowed": "",
        "region": "",
        "request_custom_headers": "",
        "response_custom_headers": ""
    }
}

4 - List Cdn Service

4.1 - 1.0

get /v1/cdns

Description

list cdn service

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querycreated_by
optional
create by
Example :
any of [string, null]None
queryname
optional
cdn service name
Example :
any of [string, null]None
querycdn_service_domain
optional
cdn service domain
Example :
any of [string, null]None
querycdn_origin_hostname
optional
cdn service origin host name
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCdnServiceListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/cdns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Example HTTP response

Response 200

{
    "cdn": [
        {
            "account_id": "",
            "cdn_origin_hostname": "",
            "cdn_service_domain": "",
            "cdn_service_state": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "region": ""
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

5 - Purge Cdn Service

5.1 - 1.0

post /v1/cdns/{id}/purge

Description

purge cdn service

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
cdn service id
Example :
stringNone
bodybody
required

CdnServicePurgeRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCdnServiceResponseResult
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/cdns/{id}/purge

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Request body

{
    "custom_url": "/test/",
    "target_content": "",
    "target_url": ""
}

Example HTTP response

Response 202

{
    "cdn": {
        "account_id": "",
        "resource_id": "",
        "workflow_id": ""
    }
}

6 - Start Cdn Service

6.1 - 1.0

post /v1/cdns/{id}/start

Description

start cdn service

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
cdn service id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedCdnServiceResponseResult
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/cdns/{id}/start

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Example HTTP response

Response 202

{
    "cdn": {
        "account_id": "",
        "resource_id": "",
        "workflow_id": ""
    }
}

7 - Stop Cdn Service

7.1 - 1.0

post /v1/cdns/{id}/stop

Description

stop cdn service

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
cdn service id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedCdnServiceResponseResult
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/cdns/{id}/stop

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Example HTTP response

Response 202

{
    "cdn": {
        "account_id": "",
        "resource_id": "",
        "workflow_id": ""
    }
}

8 - Update Cdn Service

8.1 - 1.0

put /v1/cdns/{id}

Description

update cdn service

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
cdn service id
Example :
stringNone
bodybody
required

CdnServiceUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCdnServiceResponseResult
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/cdns/{id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Request body

{
    "cache_expiry_time": "",
    "cache_key_hostname": "REQUEST_HOST_HEADER",
    "caching_option": "",
    "cdn_origin_hostname": "test.example.com",
    "cdn_origin_port": "",
    "cdn_origin_protocol": "",
    "cdn_service_origin_path": "/test/global/",
    "content_policy": "",
    "custom_forward_host_header": "",
    "forward_host_header": "REQUEST_HOST_HEADER",
    "origin_hostname_type": "DOMAIN",
    "query_string_ignored": "",
    "range_request_allowed": "",
    "request_custom_headers": "",
    "response_custom_headers": ""
}

Example HTTP response

Response 202

{
    "cdn": {
        "account_id": "",
        "resource_id": "",
        "workflow_id": ""
    }
}

9 - Update Description of Cdn Service

9.1 - 1.0

put /v1/cdns/{id}/description

Description

Update description of cdn service

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
cdn service id
Example :
stringNone
bodybody
required

CdnServiceModifyDescriptionRequest

Responses

HTTP CodeDescriptionSchema
200OKCdnServiceDetailResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/cdns/{id}/description

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Request body

{
    "description": ""
}

Example HTTP response

Response 200

{
    "cdn": {
        "account_id": "",
        "cache_expiry_time": "",
        "cache_key_hostname": "",
        "caching_option": "",
        "cdn_origin_hostname": "",
        "cdn_origin_port": "",
        "cdn_origin_protocol": "",
        "cdn_service_activation_state": "",
        "cdn_service_config_version": "",
        "cdn_service_domain": "",
        "cdn_service_origin_path": "",
        "cdn_service_state": "",
        "content_policy": "",
        "created_at": "",
        "created_by": "",
        "custom_forward_host_header": "",
        "description": "",
        "forward_host_header": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "origin_hostname_type": "",
        "query_string_ignored": "",
        "range_request_allowed": "",
        "region": "",
        "request_custom_headers": "",
        "response_custom_headers": ""
    }
}